Browse Source

bin/build-packages: fix $((minor_version+1)) for ruby-,python-,perl-dependent packages with >= 3 levels of versions

Erich Eckner 3 months ago
parent
commit
016ff18a18
1 changed files with 1 additions and 1 deletions
  1. 1
    1
      bin/build-packages

+ 1
- 1
bin/build-packages View File

@@ -793,7 +793,7 @@ while [ "${count}" -ne 0 ] && \
793 793
                   t print
794 794
                   b
795 795
                   :print
796
-                  s/\./ /
796
+                  s/\.\([^.]\+\)$/ \1/
797 797
                   p
798 798
                 ' | \
799 799
                 while read -r name major_version minor_version; do